pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: net/ldns installation problem on MacOSX

On Oct 3, 2009, at 2:55 PM, OBATA Akio wrote:
On 2009/10/03, at 16:42, Fredrik Pettai wrote:

On Oct 3, 2009, at 3:15 AM, OBATA Akio wrote:
On Sat, 03 Oct 2009 06:52:52 +0900, Fredrik Pettai <> wrote:

On Sep 29, 2009, at 2:01 PM, Fredrik Pettai wrote:
Could it be the problem that configure puts in -L/usr/lib before - L/ usr/pkg/lib in the test, and how could one fix/reverse that the best

How about adding following line to Makefile?

CONFIGURE_ARGS+=        --with-ssl=${SSLBASE}

That only appends, and ends in the same error.

Hmm, I can't reproduce.
$ uname -v
Darwin Kernel Version 8.11.0: Wed Oct 10 18:26:00 PDT 2007; root:xnu-792.24.17~1/RELEASE_PPC

You run Tiger? I run Leopard on the computers I get this problem:

bash-3.2$ uname -v
Darwin Kernel Version 9.8.0: Wed Jul 15 16:55:01 PDT 2009; root:xnu-1228.15.4~1/RELEASE_I386

Did pkgsrc install security/openssl by default then installing net/ ldns for you?

Not -L/usr/lib in LDFLAGS.

Which I get. Strange... I took the time to reinstall pkgsrc completely from scratch, but I still get this problem :-(

I'm currently installing it on Snow Leopard, and there it works fine. There the included OpenSSL library in Snow Leopard includes sha256 etc.

configure:14229: checking for SHA256 and SHA512
configure:14232: checking for SHA256_Init in -lcrypto
configure:14267: gcc -o conftest -Wwrite-strings -W -Wall -O2 -g - pipe -O2 -I/us r/pkg/include -no-cpp-precomp -isystem /usr/include -I/usr/pkg/ include -I/usr/pk g/include -L/usr/pkg/lib -L/usr/pkg/lib conftest.c -lcrypto - lcrypto >&5
configure:14274: $? = 0
configure:14295: result: yes


Home | Main Index | Thread Index | Old Index